# Generated by Django 4.2.15 on 2024-09-03 16:42

from django.db import migrations, models


class Migration(migrations.Migration):

    replaces = [
        ("monitor", "0001_initial"),
        ("monitor", "0002_rename_check_checkitem_and_more"),
    ]

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="CheckItem",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("when", models.DateTimeField(auto_now_add=True)),
                (
                    "check_type",
                    models.SmallIntegerField(choices=[(0, "Salmon"), (1, "Celery")]),
                ),
                ("good", models.BooleanField(default=True)),
            ],
            options={
                "indexes": [
                    models.Index(
                        fields=["check_type", "when"],
                        name="monitor_che_check_t_51debb_idx",
                    )
                ],
            },
        ),
    ]
